Bug 1007972 - Review Request: hawaii-icon-theme - Icon themes for the Hawaii desktop environment
Review Request: hawaii-icon-theme - Icon themes for the Hawaii desktop enviro...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-13 12:11 EDT by Christopher Meng
Modified: 2013-11-16 02:11 EST (History)
4 users (show)

See Also:
Fixed In Version: hawaii-icon-theme-0.2.0-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-16 02:11:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-09-13 12:11:44 EDT
Spec URL: http://cicku.me/hawaii-icon-theme.spec
SRPM URL: http://cicku.me/hawaii-icon-theme-0.1.90-1.fc21.src.rpm
Description: This is an icon-theme for Hawaii desktop environment.
Fedora Account System Username: cicku
Comment 1 Lubomir Rintel 2013-09-23 14:18:42 EDT
Hi Christopher!

The package looks mostly fine to me. Just a few notes before an official review:

1.) There's no need for an build directory. Just running cmake for "." and make install without cd-ing would do and be more consistent with other cmake packages.

2.) My quick overview of the licensing suggested it should be "LGPLv3+ and GPLv2 and Public Domain". I could be wrong as well; but would you mind explaining why do you think it's GPLv2?

Also, do you plan on progressin with rest of Hawaii stack? I've done some packaging already [1], it does not readily work yet though. If yes, is there a way we could join forces? :) I've imported qt5-qtwayland and qt5-qtquickcomponents today by the way, if you have packages depending on those.

[1] https://fedoraproject.org/wiki/User:Lkundrak/Hawaii_Desktop

Have a nice day!
Comment 2 Lubomir Rintel 2013-10-30 17:36:16 EDT
Ping?
Comment 3 Christopher Meng 2013-10-31 00:07:31 EDT
Doohh...

1) It's suggested by official, and prior to that many projects need to create a build and build them in the build/ to avoid conflicts. If it doesn't affect the installed files, I think we can ignore this, right?

2)Please list the licensecheck result here, OK?
Comment 4 Lubomir Rintel 2013-10-31 08:58:54 EDT
(In reply to Christopher Meng from comment #3)
> 2)Please list the licensecheck result here, OK?

I don't see how would that be relevant.

I think I was looking at themes/elegant/README.md, which suggested some icons are Public domain, while others come from GNOME.

A quick check of gnome-icon-theme package suggests it's LGPLv3+.

Scan through the SVG files lists two more licenses, CC-BY-SA 2.0 and GPLv2:

$ find -name '*.svg' |xargs awk -F\" '/\/licenses\// {print $2}' |sort |uniq -c
     48 http://creativecommons.org/licenses/GPL/2.0/
     18 http://creativecommons.org/licenses/by-sa/2.0/

Furthermore, themes/elegant-symbolic/COPYING claims the files are under CC-BY-SA 3.0 despite they were derived from GNOME (see above...).

This is not very clear to me and I'd very much like to see it clarified before the package is imported.
Comment 5 Pier Luigi Fiorini 2013-11-01 05:38:17 EDT
elegant-symbolic are derived from gnome-icon-themes-symbolic whose COPYING file states icons are CC-BY-SA 3.0 (see https://git.gnome.org/browse/gnome-icon-theme-symbolic/tree/COPYING).

$ rpm -qi gnome-icon-theme-symbolic | grep -i license
License     : CC-BY-SA

----

elegant are derived from elementary, the COPYING file is copied from there.

$ rpm -qi elementary-icon-theme | grep -i license
License     : GPLv2

In fact the elementary-icon-theme has icons with CC-BY-SA 2.0 too:

$ cd /usr/share/icons/elementary
$ find -name '*.svg' |xargs awk -F\" '/\/licenses\// {print $2}' |sort |uniq -c
     48 http://creativecommons.org/licenses/GPL/2.0/
     18 http://creativecommons.org/licenses/by-sa/2.0/

----

Latest version (0.1.91) also has mouse cursors which are LGPL 2.1 since are derived from gnome-themes-standard.

----

Do I need to split icons into multiple repositories upstream?
Comment 6 Lubomir Rintel 2013-11-01 08:29:21 EDT
(In reply to Pier Luigi Fiorini from comment #5)
> Do I need to split icons into multiple repositories upstream?

No need to. We just need to be sure that all applicable licenses are listed in package's License tag.
Comment 8 Lubomir Rintel 2013-11-05 07:48:55 EST
Thank you!

APPROVED
Comment 9 Christopher Meng 2013-11-05 07:57:07 EST
New Package SCM Request
=======================
Package Name: hawaii-icon-theme
Short Description: Icon themes for Hawaii desktop environment
Owners: cicku lkundrak
Branches: f20
Comment 10 Gwyn Ciesla 2013-11-05 08:06:15 EST
Git done (by process-git-requests).
Comment 11 Fedora Update System 2013-11-05 08:46:50 EST
hawaii-icon-theme-0.2.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/hawaii-icon-theme-0.2.0-1.fc20
Comment 12 Fedora Update System 2013-11-05 14:56:50 EST
hawaii-icon-theme-0.2.0-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 13 Fedora Update System 2013-11-16 02:11:50 EST
hawaii-icon-theme-0.2.0-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.